using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Microsoft.HomeServer.Extensibility;

namespace Microsoft.HomeServer.HomeServerConsoleTab.TVEConsole
{
    public class HomeServerTabExtender : IConsoleTab
    {
        private IConsoleServices consoleServices;
        private MainTabUserControl tabControl;

        public HomeServerTabExtender(int width, int height, IConsoleServices consoleServices)
        {
            this.consoleServices = consoleServices;

            tabControl = new MainTabUserControl(width, height, consoleServices);

            //Additional setup code here


        }

        public Guid SettingsGuid
        {
            get
            {
                return new Guid("5b6c15fd-dbb2-4fc8-8715-3802be61c4c8");
            }
        }

        public Control TabControl
        {
            get
            {
                return tabControl;
            }
        }

        public Bitmap TabImage
        {
            get
            {
                return Properties.Resources.DefaultToolBarIcon;
            }
        }

        public string TabText
        {
            get
            {
                return "TVEConsole";
            }
        }

        public bool GetHelp()
        {
            return false;
        }
    }
}
